Package org.eclipse.graphiti.tb

# Interface IColorDecorator

All Superinterfaces:
  `IDecorator`

All Known Implementing Classes:
  `ColorDecorator`

public interface IColorDecorator extends IDecorator
Color decorators can be used to modify the visualization of a shape without modifying the dirty state of the displaying editor, see `IDecorator`. Note that modifying background and foreground colors as it is possible with this decorator will have no effect if the shape is invisible, the complete shape is hidden underneath other (possibly contained) shapes or the shape uses gradients.

Since:
  0.9

## Method Summary

Modifier and Type
Method
Description
`IColorConstant`
`getBackgroundColor()`
Returns the color that will be used for painting the background of the shape to decorate.
`IColorConstant`
`getForegroundColor()`
Returns the color that will be used for painting the foreground of the shape to decorate.

### Methods inherited from interface org.eclipse.graphiti.tb.IDecorator

`getMessage, setMessage`

## Method Details

### getForegroundColor

IColorConstant getForegroundColor()
Returns the color that will be used for painting the foreground of the shape to decorate. By default (when returning `null`) the original foreground color of the shape is kept.

Returns:
  a `IColorConstant` defining the color

### getBackgroundColor

IColorConstant getBackgroundColor()
Returns the color that will be used for painting the background of the shape to decorate. By default (when returning `null`) the original background color of the shape is kept.

Returns:
  a `IColorConstant` defining the color